curl --request POST \
--url 'https://api.stateset.com/api/v1/work-orders/tasks/{task_id}/start' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"actual_hours": "string",
"estimated_hours": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"sequence": 1,
"status": "pending",
"task_name": "string",
"work_order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Start task
Start task
POST
/
api
/
v1
/
work-orders
/
tasks
/
{task_id}
/
start
curl --request POST \
--url 'https://api.stateset.com/api/v1/work-orders/tasks/{task_id}/start' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"actual_hours": "string",
"estimated_hours": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"sequence": 1,
"status": "pending",
"task_name": "string",
"work_order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Path parameters
string
required
Work order task ID
Response
WorkOrderTaskResponse
string,null
string,null
string
required
string,null
integer (int32)
required
string
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
409 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/work-orders/tasks/{task_id}/start' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"actual_hours": "string",
"estimated_hours": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"notes": "Two-person tent, green — replacement for damaged pole set.",
"sequence": 1,
"status": "pending",
"task_name": "string",
"work_order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
Last modified on August 31, 2026